package com.brilliance.isc.convert.mt9xx;

import com.brilliance.isc.swift.objmtconvert.manager.MtCreatorManager;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT298Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT998Creator;
import org.junit.Test;


public class MT998Test {
    @Test
    public void test_998(){
        MT998Creator mt998Creator = new MT998Creator("998");
        //20
        mt998Creator.setTransactionReferenceNumber("LOMYV/5632");//16x
        //12
        mt998Creator.setSubMessageType("298");
        //77E
        mt998Creator.setProprietaryMessage("KNIUYHBJH/OIYU\r\nPOMYTV/MUYHB");//73z<crlf>[n*78z]
        MtCreatorManager.packMT(mt998Creator);

    }
    @Test
    public void test_998_2(){
        MT998Creator mt998Creator = new MT998Creator("298");
        //20
        mt998Creator.setTransactionReferenceNumber("LOMYV/5632SADASDDDDDDDDDDD");//16x
        //12
        mt998Creator.setSubMessageType("29801");
        //77E
        mt998Creator.setProprietaryMessage("KNIUYHBJH/OIYU\r\nPOMYTV/MUYHB");//73z<crlf>[n*78z]
        MtCreatorManager.packMT(mt998Creator);
    }
}
